Package org.codehaus.janino

# Class Java.LocalVariableSlot

java.lang.Object
org.codehaus.janino.Java.LocalVariableSlot

Enclosing class:
  `Java`

public static class Java.LocalVariableSlot extends Object
All local variables have a slot number; local variables that get written into the "local variable table" also have a start and end offset that defines the variable's extent in the bytecode. If the name is null, or variable debugging is not on, then the variable won't be written into the LocalVariableTable and the offsets can be ignored.

## Constructor Summary

Constructors
Constructor
Description
`LocalVariableSlot(String name, short slotNumber, IType type)`

## Method Summary

Modifier and Type
Method
Description
`CodeContext.Offset`
`getEnd()`
`String`
`getName()`
`short`
`getSlotIndex()`
`CodeContext.Offset`
`getStart()`
`IType`
`getType()`
`void`
`setEnd(CodeContext.Offset end)`
`void`
`setName(String name)`
`void`
`setSlotIndex(short slotIndex)`
`void`
`setStart(CodeContext.Offset start)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### LocalVariableSlot

public LocalVariableSlot(@Nullable String name, short slotNumber, @Nullable IType type)

Parameters:
  `slotNumber` - (two slots for LONG and DOUBLE local variables)

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### getSlotIndex

public short getSlotIndex()

Returns:
  The "local variable index" associated with this local variable (two slots for LONG and DOUBLE local variables)

### setSlotIndex

public void setSlotIndex(short slotIndex)

Parameters:
  `slotIndex` - The "local variable index" to associate with this local variable

### getName

@Nullable public String getName()

Returns:
  The name of this local variable

### setName

public void setName(String name)

Parameters:
  `name` - The name of this local variable

### getStart

@Nullable public CodeContext.Offset getStart()

Returns:
  The `CodeContext.Offset` from which this local variable is visible

### setStart

public void setStart(CodeContext.Offset start)

Parameters:
  `start` - The `CodeContext.Offset` from which this local variable is visible

### getEnd

@Nullable public CodeContext.Offset getEnd()

Returns:
  The `CodeContext.Offset` up to which this local variable is visible

### setEnd

public void setEnd(CodeContext.Offset end)

Parameters:
  `end` - The `CodeContext.Offset` up to which this local variable is visible

### getType

public IType getType()

Returns:
  the resolved type of this local variable